### Enumeration

# Qmi NasServiceStatus

since: 1.0

#### Declaration

    enum Qmi.NasServiceStatus

#### Description [src]

Status of the service.

Available since: 1.0

#### Members

`QMI_NAS_SERVICE_STATUS_NONE`

  No service.

  - Value: `0`
  - Available since: 1.0
`QMI_NAS_SERVICE_STATUS_LIMITED`

  Limited service.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_SERVICE_STATUS_AVAILABLE`

  Service available.

  - Value: `2`
  - Available since: 1.0
`QMI_NAS_SERVICE_STATUS_LIMITED_REGIONAL`

  Limited regional service.

  - Value: `3`
  - Available since: 1.0
`QMI_NAS_SERVICE_STATUS_POWER_SAVE`

  Device in power save mode.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### qmi_nas_service_status_get_string

Gets the nickname string for the `QmiNasServiceStatus` specified at `val`.

since: 1.0